Kompozer e Amaya crash

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
skagway
Linux 0.x
Linux 0.x
Messaggi: 73
Iscritto il: gio ago 10, 2006 8:45
Slackware: current 11/08/09
Kernel: 2.6.29.6-smp
Desktop: KDE 4.2.4
Località: Pisa

Kompozer e Amaya crash

Messaggioda skagway » mar set 29, 2009 15:41

Su Slackware 13, entrambi questi software si chiudono all'imporovviso e senza motivo. Questo mi fa pensare che qualche libreria, usata da entrambi, sia corrotta o instabile. Quale può essere? Ci sono editor WYSIWYG alternativi?

albatrosla
Packager
Packager
Messaggi: 1334
Iscritto il: sab mar 27, 2004 0:00
Slackware: current
Desktop: fluxbox.git
Località: Collegno, but made in Friûl
Contatta:

Re: Kompozer e Amaya crash

Messaggioda albatrosla » mar set 29, 2009 17:16

Su kompozer non so pronunciarmi, ma il package di Amaya l'ho aggiornato io. L'ho avviato senza problemi. Quando riscontri il crash? In fase di avvio dell'applicazione o in fase di utilizzo? Lanciandolo da terminale ti restituisce qualche errore? Se sì, quale? Non dovrebbe avere problemi di dipendenze.

Avatar utente
skagway
Linux 0.x
Linux 0.x
Messaggi: 73
Iscritto il: gio ago 10, 2006 8:45
Slackware: current 11/08/09
Kernel: 2.6.29.6-smp
Desktop: KDE 4.2.4
Località: Pisa

Re: Kompozer e Amaya crash

Messaggioda skagway » mer set 30, 2009 14:13

Non so cosa è successo, Amaya non crasha più.
Kompozer, nella konsole, mi dà:

Codice: Seleziona tutto

/usr/lib/kompozer/run-mozilla.sh: line 159:  4456 Segmentation fault      "$prog" ${1+"$@"}

L'unica cosa che mi viene in mente è che ho disinstallato il pacchetto Firefox 3.5 ufficiale e ho messo quello di Slacky in italiano.

A questo punto, continuo a usare Amaya, se ho problemi, riposto qui.

:mille:

Scarcella
Linux 0.x
Linux 0.x
Messaggi: 29
Iscritto il: gio dic 11, 2008 11:57
Slackware: 12.2
Kernel: 2.6.27.10
Desktop: kde 4.2.2

Re: Kompozer e Amaya crash

Messaggioda Scarcella » ven nov 13, 2009 11:11

quindi per kompozer non ci sono soluzioni?
A me da lo stesso errore con la differenza

5666 segmentation fault

il crash avviene quando si tenta di entrare in menu che hanno altri sotto menu.

Esempio
Open recent file
quando si posiziona il mouse su quel menu per far apparire i file da aprire va in crash

albatrosla
Packager
Packager
Messaggi: 1334
Iscritto il: sab mar 27, 2004 0:00
Slackware: current
Desktop: fluxbox.git
Località: Collegno, but made in Friûl
Contatta:

Re: Kompozer e Amaya crash

Messaggioda albatrosla » sab nov 14, 2009 11:48

Sulla mia slack kompozer si avvia senza problemi. E' un package che non dovrebbe avere alcuna dipendenza... immagino usassi anche la versione precedente: hai provato a cancellare/fare un backup di ~/.kompozer e lasciare che ri-crei da sé questa directory? Che versione di slack stai usando?

Meskalamdug
Iper Master
Iper Master
Messaggi: 3899
Iscritto il: ven mag 14, 2004 0:00

Re: Kompozer e Amaya crash

Messaggioda Meskalamdug » lun nov 16, 2009 15:06

Forse per quello di Amaya ho la soluzione..

Codice: Seleziona tutto

sed -re 's/XLIB_SKIP_ARGB_VISUALS=1 //' -i $startdir/pkg/usr/share/Amaya/wx/bin/amaya
 }


Trovata qua
http://aur.archlinux.org/packages.php?ID=8802

Avatar utente
freax
Linux 1.x
Linux 1.x
Messaggi: 177
Iscritto il: lun gen 19, 2009 0:29
Slackware: 13
Desktop: kde4

Re: Kompozer e Amaya crash

Messaggioda freax » lun nov 16, 2009 17:04

non conosco il software in questione , amaya mi ricorda il web browser del W3C , ad ogni modo un buon comando per verificare i collegamenti tra le librerie richieste da un software è

Codice: Seleziona tutto

ldd $(which COMANDO)


esempio , per verificare le librerie usate da httpd / Apache

Codice: Seleziona tutto

ldd $(which httpd)


prima di usare ldd o dopo una nuova installazione è sempre conveniente aggiornare i suddetti collegamenti dando un

Codice: Seleziona tutto

ldconfig


nel mio caso così facendo spesso e volentieri ho risolto molto facilmente le dipendenze di Apache installando le librerie giuste ;)